# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## 3.2.0-alpha.0 (2022-02-28)


### Bug Fixes

* **frontend-checkout:** update line item attributes key to be compatible with storefront_api 2021-10 ([2b8a95d](https://github.com/getshogun/frontend-sdk/commit/2b8a95dcb5c42e73952d636f40dc1ce7f9080cda))


### Reverts

* revert automatic version bump of frontend-checkout and frontend-customer ([b900295](https://github.com/getshogun/frontend-sdk/commit/b9002954fc507c636d596e32a8fb06c1537bccae))

### 0.25.1 (2022-02-10)


### Features

* **frontend-checkout:** add fetching more than 250 products in use inventory ([86d6a35](https://github.com/getshogun/frontend-sdk/commit/86d6a350e1ff5b99771cd7188994a463d85275e0))
* **frontend-checkout:** Adding selling plan to Shopify Storefront API ([406b74e](https://github.com/getshogun/frontend-sdk/commit/406b74e74c8bd643495beaa64b09af879e307fca))
* **frontend-checkout:** fix build ([47f4e70](https://github.com/getshogun/frontend-sdk/commit/47f4e7033d4ed9360b317d8b7b84fb23ee368203))
* **frontend-checkout:** fix type ([83ddaec](https://github.com/getshogun/frontend-sdk/commit/83ddaec45eba992a5232212acafe99879a2c07ef))
* **frontend-checkout:** prettier fix ([b734fd9](https://github.com/getshogun/frontend-sdk/commit/b734fd979646c0edb0ff3a9018e0644ec4e42a41))
* **frontend-checkout:** remove stencil api ([e1bbdfa](https://github.com/getshogun/frontend-sdk/commit/e1bbdfabc67e4be837f8b4b9dd40b531dd522b05))


### Bug Fixes

* don't map CartLine ids ([e5de5b8](https://github.com/getshogun/frontend-sdk/commit/e5de5b88c7ba0d72fd2ff6783eaa7391e9f1cd0d))
* eslint error ([40b88f4](https://github.com/getshogun/frontend-sdk/commit/40b88f491a2f67b7943bb35efcfe15ac038044b7))


### Reverts

* revert automatic version updates for `frontend-checkout` and `frontend-customer` ([90818a2](https://github.com/getshogun/frontend-sdk/commit/90818a23a9e263d485396714e4817575e43b6c73))

## 0.25.0 (2022-01-14)



## 3.1.0 (2022-02-17)


### Reverts

* revert automatic version bump of frontend-checkout and frontend-customer ([b900295](https://github.com/getshogun/frontend-sdk/commit/b9002954fc507c636d596e32a8fb06c1537bccae))

### 0.25.1 (2022-02-10)


### Features

* **frontend-checkout:** add fetching more than 250 products in use inventory ([86d6a35](https://github.com/getshogun/frontend-sdk/commit/86d6a350e1ff5b99771cd7188994a463d85275e0))
* **frontend-checkout:** Adding selling plan to Shopify Storefront API ([406b74e](https://github.com/getshogun/frontend-sdk/commit/406b74e74c8bd643495beaa64b09af879e307fca))
* **frontend-checkout:** fix build ([47f4e70](https://github.com/getshogun/frontend-sdk/commit/47f4e7033d4ed9360b317d8b7b84fb23ee368203))
* **frontend-checkout:** fix type ([83ddaec](https://github.com/getshogun/frontend-sdk/commit/83ddaec45eba992a5232212acafe99879a2c07ef))
* **frontend-checkout:** prettier fix ([b734fd9](https://github.com/getshogun/frontend-sdk/commit/b734fd979646c0edb0ff3a9018e0644ec4e42a41))
* **frontend-checkout:** remove stencil api ([e1bbdfa](https://github.com/getshogun/frontend-sdk/commit/e1bbdfabc67e4be837f8b4b9dd40b531dd522b05))


### Bug Fixes

* don't map CartLine ids ([e5de5b8](https://github.com/getshogun/frontend-sdk/commit/e5de5b88c7ba0d72fd2ff6783eaa7391e9f1cd0d))
* eslint error ([40b88f4](https://github.com/getshogun/frontend-sdk/commit/40b88f491a2f67b7943bb35efcfe15ac038044b7))


### Reverts

* revert automatic version updates for `frontend-checkout` and `frontend-customer` ([90818a2](https://github.com/getshogun/frontend-sdk/commit/90818a23a9e263d485396714e4817575e43b6c73))

## 0.25.0 (2022-01-14)
