import { ItemId } from '../../../../types';
export declare const getCookieValue: (name: string) => string;
export declare const api: {
    get: <T>(url: string, body?: Record<string, unknown> | Record<string, unknown>[] | undefined) => Promise<T>;
    post: <T>(url: string, body?: Record<string, unknown> | Record<string, unknown>[] | undefined) => Promise<T>;
    put: <T>(url: string, body?: Record<string, unknown> | Record<string, unknown>[] | undefined) => Promise<T>;
    delete: <T>(url: string, body?: Record<string, unknown> | Record<string, unknown>[] | undefined) => Promise<T>;
};
export declare const getCheckoutPath: (cartId: string | null) => string;
export declare const getCartsPath: (cartId: string | null) => string;
export declare const getCartPath: (cartId: string | null) => string;
export declare const getItemPath: (cartId: string, itemId: ItemId) => string;
export declare const getConsignmentsPath: (cartId: string, consignmentId?: string | undefined) => string;
