import { BigCommerceAPICheckout } from '../types';
import { Cart } from '../../../../../types';
/**
 * Maps a BigCommerce Checkout returned from the Storefront API
 * into a frontend-checkout Cart
 *
 * @param {BigCommerceAPICheckout} checkout
 * @returns {Cart} a checkout cart instance
 */
declare const mapCheckoutToCart: (checkout: BigCommerceAPICheckout) => Cart;
export { mapCheckoutToCart };
