"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapShippingAddress = void 0;
const mapShippingAddress = (shippingAddress) => {
    return {
        id: shippingAddress.id,
        first_name: shippingAddress.firstName,
        last_name: shippingAddress.lastName,
        email: shippingAddress.email,
        address1: shippingAddress.address1,
        city: shippingAddress.city,
        state_or_province: shippingAddress.state,
        state_or_province_code: shippingAddress.stateCode,
        country_code: shippingAddress.countryCode,
        postal_code: shippingAddress.postalCode,
        phone: shippingAddress.phone,
    };
};
exports.mapShippingAddress = mapShippingAddress;
