"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapCart = void 0;
const constants_1 = require("../constants");
function mapCart(cart, config) {
    return {
        id: String(cart.token),
        currencyCode: cart.currency,
        subtotalPrice: cart.items_subtotal_price,
        totalPrice: cart.original_total_price,
        items: cart.items.map((item, i) => (Object.assign(Object.assign({}, item), { variant: { id: item.variant_id }, line: i + 1 }))),
        checkoutUrl: config.storeDomain ? `https://${config.storeDomain}${constants_1.checkoutUrl}` : constants_1.checkoutUrl,
        attributes: cart.attributes,
        note: cart.note,
    };
}
exports.mapCart = mapCart;
