"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGraphQLApiBaseUrl = void 0;
/* eslint-disable @typescript-eslint/strict-boolean-expressions */
function getGraphQLApiBaseUrl(storeDomain, platformDomain) {
    if (platformDomain) {
        return `https://${platformDomain}`;
    }
    if (storeDomain) {
        return `https://${storeDomain}`;
    }
    return '';
}
exports.getGraphQLApiBaseUrl = getGraphQLApiBaseUrl;
