"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processCartMutationResult = void 0;
function processCartMutationResult(result) {
    var _a;
    if ((_a = result.userErrors) === null || _a === void 0 ? void 0 : _a.length) {
        throw new Error(JSON.stringify(result.userErrors));
    }
    if (!(result === null || result === void 0 ? void 0 : result.cart)) {
        throw new Error('The cartCreate mutation failed due to an unknown error.');
    }
    return result.cart;
}
exports.processCartMutationResult = processCartMutationResult;
