import { ShopifyStorefrontCart } from '../types';
interface MapCartConfig {
    storeDomain?: string;
}
export declare function mapCart(cart: ShopifyStorefrontCart, config: MapCartConfig): {
    id: string;
    items: {
        variant_id: string | number | undefined;
        selectedCurrencyPrice: string | undefined;
        id: string | number;
        quantity: number;
        title: string;
        variant?: import("../types").ShopifyStorefrontProductVariantWithProduct | null | undefined;
        attributes: {
            key: string;
            value: string;
        }[];
        discountAllocations: {
            allocatedAmount: import("../types").MoneyV2;
            discountApplication: import("../types").DiscountApplication;
        }[];
        sellingPlan: import("../client/types").CartLineSellingPlan | null;
        onlineStoreUrl?: string | undefined;
        attrs?: unknown;
    }[];
    currencyCode: string;
    subtotalPrice: string;
    totalPrice: string;
    checkoutUrl: string;
};
export {};
