"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.productInventoryPath = exports.supportedPlatformApiTypes = exports.managementApiType = exports.restApiType = exports.graphqlApiType = exports.supportedPlatforms = exports.bigCommercePlatform = exports.shopifyPlatform = void 0;
exports.shopifyPlatform = 'shopify';
exports.bigCommercePlatform = 'big_commerce';
exports.supportedPlatforms = [exports.shopifyPlatform, exports.bigCommercePlatform];
/**
 * Shopify support REST and GraphQL APIs, BigCommerce support REST and Management API
 */
exports.graphqlApiType = 'graphql';
exports.restApiType = 'rest';
exports.managementApiType = 'management';
exports.supportedPlatformApiTypes = [exports.graphqlApiType, exports.restApiType, exports.managementApiType];
exports.productInventoryPath = '/data/productInventory.json?v=2';
