import { BigCommerceRESTCatalog, BigCommerceGRAPHQLProduct, BigCommerceRESTCatalogWithVariants } from './types';
declare const getCatalogForProductsPath: (productIds: string) => string;
declare const api: {
    fetchInventoryByProductIds: (productIds: number[]) => Promise<{
        data: BigCommerceRESTCatalog[];
    }>;
    fetchInventoryWithVariantsByProductIds: (productIds: number[]) => Promise<{
        data: BigCommerceRESTCatalogWithVariants[];
    }>;
    fetchProductIdByVariantId: (variantId: number) => Promise<{
        data: BigCommerceGRAPHQLProduct;
    }>;
};
export { api, getCatalogForProductsPath };
