import { BigCommerceInventory } from './platforms/big-commerce/types';
import { ShopifyInventory } from './platforms/shopify/types';
import { UseInventoryProps } from '../types';
declare type InventoryState = {
    products: BigCommerceInventory | ShopifyInventory;
    status: 'initial' | 'loading' | 'loaded' | 'error';
};
declare const useInventory: (props: UseInventoryProps) => InventoryState;
export { useInventory };
