"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProductInventoryUrl = void 0;
/* eslint-disable @typescript-eslint/strict-boolean-expressions */
const constants_1 = require("../../constants");
const getProductInventoryUrl = () => {
    const siteDomain = process.env.SITE_DOMAIN || '';
    return siteDomain ? new URL(constants_1.productInventoryPath, `https://${siteDomain}`).href : constants_1.productInventoryPath;
};
exports.getProductInventoryUrl = getProductInventoryUrl;
