"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChunks = void 0;
const getChunks = (itemIds, size) => {
    const length = itemIds.length;
    let index = 0;
    let resIndex = 0;
    const result = new Array(Math.ceil(length / size));
    while (index < length) {
        result[resIndex++] = itemIds.slice(index, (index += size));
    }
    return result;
};
exports.getChunks = getChunks;
