"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapIdToMerchandiseId = void 0;
const tslib_1 = require("tslib");
const id_helpers_1 = require("../../utils/id-helpers");
function mapIdToMerchandiseId(items) {
    return items.map((_a) => {
        var { id } = _a, rest = tslib_1.__rest(_a, ["id"]);
        return (Object.assign({ merchandiseId: id_helpers_1.isStorefrontId(id) ? id : id_helpers_1.mapItemIdToProductVariantStorefrontId(id) }, rest));
    });
}
exports.mapIdToMerchandiseId = mapIdToMerchandiseId;
