"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProductIdByVariantIdQuery = void 0;
const gql_1 = require("../../../utils/gql");
const getProductIdByVariantIdQuery = gql_1.gql `
    query getProductIdByVariantId($variantId: Int) {
        site {
            product(variantEntityId: $variantId) {
                entityId
                variants {
                    edges {
                        node {
                            entityId
                        }
                    }
                }
            }
        }
    }
`;
exports.getProductIdByVariantIdQuery = getProductIdByVariantIdQuery;
