import { ShopifyInventoryResponse } from './types';
import { InventoryHelperConfig } from '../../types';
declare class Client {
    private readonly platformDomain?;
    private readonly storeDomain?;
    private readonly defaultHeaders;
    private readonly apiUrl;
    constructor(config: InventoryHelperConfig);
    fetchInventoryByProductIds(ids: string[]): Promise<{
        data: ShopifyInventoryResponse;
    }>;
}
export { Client };
