declare type ErrorName = Error['name'];
declare type ErrorMessage = Error['message'];
declare type ErrorStack = Error['stack'];
declare class CheckoutError extends Error {
    readonly name: ErrorName;
    readonly message: ErrorMessage;
    readonly stack: ErrorStack;
    constructor(message: ErrorMessage, originalError?: unknown, name?: ErrorName);
}
export { CheckoutError };
